Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.core
Interface ISiteFactoryExtension

public interface ISiteFactoryExtension

This is an extension to the standard ISiteFactory interface. If a factory implements this interface and is handling URL connections, a progress monitor can be passed to allow canceling of frozen connections.

Input stream is obtained from the connection on a separate thread. When connection is canceled, the thread is still active. It is allowed to terminate when the connection times out on its own.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.1
See Also:
  `BaseSiteFactory`

Method Summary
`ISite` | `createSite(URL url, IProgressMonitor monitor)` Returns a site defined by the supplied URL.

Method Detail

### createSite

    public ISite createSite(URL url,
                            IProgressMonitor monitor)
                     throws CoreException,
                            InvalidSiteTypeException

  Returns a site defined by the supplied URL.

  The actual interpretation of the URL is site-type specific. In most cases the URL will point to some site-specific file that can be used (directly or indirectly) to construct the site object.

  Parameters:
    `url` - URL interpreted by the site
    `monitor` - a progress monitor that can be canceled
  Returns:
    site object
  Throws:
    `CoreException`
    `InvalidSiteTypeException` - the referenced site type is not a supported type for this factory
  Since:
    2.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.